Foreman - Bug #6962

Load usergroup admin user from fixtures directly to avoid a katello issue in tests
08/06/2014 11:14 AM - Greg Sutcliffe

Status: Closed
Priority: Normal
Assignee: Greg Sutcliffe
Category: Tests
Target version: 1.6.0
Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1657
Description

Currently when running the foreman core tests with katello enabled, the UsergroupMemberTests fail with this:

undefined method "remote_id' for nil:NilClass (NoMethodError)
/var/lib/workspace/workspace/test_katello_core_gsutcliffe/database/postgresql/ruby/1.9.3/plugin/ap
p/lib/actions/middleware/remote_action.rb:21:in “block in plan'
/var/lib/workspace/workspace/test_katello_core_gsutcliffe/database/postgresqgl/ruby/1.9.3/plugin/ap
p/lib/actions/middleware/remote_action.rb:21:in “tap'
/var/lib/workspace/workspace/test_katello_core_gsutcliffe/database/postgresqgl/ruby/1.9.3/plugin/ap
p/lib/actions/middleware/remote_action.rb:21:in “plan'
/usr/local/rvm/gems/ruby-1.9.3-p392@test_katello_core_gsutcliffe-3/gems/dynflow-0.7.2/1ib/dynflow/
middleware/stack.rb:22:in “call’
/usr/local/rvm/gems/ruby—-1.9.3-p392Q@test_katello_core_gsutcliffe-3/gems/dynflow-0.7.2/1ib/dynflow/
middleware/stack.rb:26:in “pass'
/usr/local/rvm/gems/ruby-1.9.3-p392Q@test_katello_core_gsutcliffe-3/gems/dynflow-0.7.2/1ib/dynflow/
middleware.rb:16:in “pass'
/usr/local/rvm/gems/ruby-1.9.3-p392Q@test_katello_core_gsutcliffe-3/gems/dynflow-0.7.2/1ib/dynflow/
middleware.rb:29:in “plan'
/usr/local/rvm/gems/ruby-1.9.3-p392@test_katello_core_gsutcliffe-3/gems/dynflow-0.7.2/1ib/dynflow/
middleware/stack.rb:22:in “call’
/usr/local/rvm/gems/ruby—-1.9.3-p392Q@test_katello_core_gsutcliffe-3/gems/dynflow-0.7.2/1ib/dynflow/
middleware/world.rb:30:in “execute'

It seems that changing the tests to use "users(:admin)’ fixes the problem, and is a cleaner use of fixtures anyway.

Associated revisions

Revision 28fd090c - 08/07/2014 04:21 AM - Greg Sutcliffe

Fixes #6962 - Use as_admin instead of find_by_login for usergroup tests

History

#1 - 08/06/2014 12:28 PM - Greg Sutcliffe

As per Dominic's suggestion, I'm actually refactoring these tests to use =as_admin= where appropriate.

#2 - 08/06/2014 01:00 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1657 added
- Pull request deleted ()

#3 - 08/07/2014 04:20 AM - Dominic Cleal
- Category changed from 47 to Tests
#4 - 08/07/2014 05:01 AM - Greg Sutcliffe
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 28fd090c8d135347b54725291434ee2e3b5edbad.
